
<header class="w-full bg-blue-600 h-12 fixed z-10">
   <nav class="navbar navbar-expand-lg shadow-md py-2 bg-biru relative flex items-center w-full justify-between">
    <div class="px-6 w-full flex flex-wrap items-center justify-between">
      <a href="https://flowbite.com/" class="flex items-center px-8 py-2">
        <img src="https://flowbite.com/docs/images/logo.svg" class="mr-3 h-6 sm:h-7" alt="Flowbite Logo" />
        <span class="self-center text-xl font-semibold whitespace-nowrap dark:text-white">Flowbite</span>
     </a>
      <div class="" id="navbarSupportedContentY">
        <div class="flex">
          <div class="text-right  leading-3 mt-0">
              <h2 class="text-white text-lg">Tomi Kristanto</h2>
              <small class="text-white ml-1">Admin</small>
          </div>
          <img src="assets/img/makmur3.jpg" class=" mt-1 w-9 rounded-full object-contain ml-2 border-white border-solid border-2" alt="">
        </div>
      </div>
    </div>
  </nav>
  <!-- Navbar -->
</header>

<aside class="w-56 h-full fixed duration-300 flex" [ngClass]="{'w-16':hide==true}" aria-label="Sidebar">
  <div class="overflow-y-auto py-4 px-3 w-48 h-full  bg-gelap">
     <ul class="space-y-2 mt-16">
        <li [routerLinkActive]="['active']">
           <a routerLink="beranda" class="flex items-center p-2 text-base font-normal  rounded-lg text-white hover:bg-biru ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">home</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Beranda</h1>
           </a>
        </li>
        <li [routerLinkActive]="['active']">
           <a routerLink="jadwal" class="flex items-center p-2 text-base font-normal  rounded-lg text-white hover:bg-biru ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">calendar_today</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Jadwal</h1>
           </a>
        </li>
        <li [routerLinkActive]="['active']">
           <a routerLink="pengerjaan" class="flex items-center p-2 text-base font-normal text-gray-900 rounded-lg dark:text-white hover:bg-biru ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">list</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Pengerjaan</h1>
           </a>
        </li>
        <li class="pb-64" [routerLinkActive]="['active']">
           <a routerLink="pengaturan" class="flex items-center p-2 text-base font-normal text-gray-900 rounded-lg dark:text-white hover:bg-biru ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">settings</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Pengaturan</h1>
           </a>
        </li>
        <li>
          <a href="#" class="flex items-center p-2 text-base font-normal text-gray-900 rounded-lg dark:text-white hover:bg-blue-600 ">
            <mat-icon class="cursor-pointer block float-left mr-2" [ngClass]="{'fixed':hide==true}">power_settings_new</mat-icon>
            <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Logout</h1>
          </a>
       </li>
     </ul>
  </div>
</aside>
<div class="ml-48 duration-300" [ngClass]="{'ml-10':hide==true}">
  <router-outlet (hide)="hide"></router-outlet>
</div>



